Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.Role

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.Role

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.Role

extends java.lang.Enum
implements QtEnumerator

This enum defines the role of an accessible object. The roles are:

See Also:
  Serialized Form

Field Summary
`static QAccessible.Role` | `AlertMessage` An object that is used to alert the user.
`static QAccessible.Role` | `Animation` An object that displays an animation.
`static QAccessible.Role` | `Application` The application's main window.
`static QAccessible.Role` | `Assistant` An object that provids interactive help.
`static QAccessible.Role` | `Border` An object that represents a border.
`static QAccessible.Role` | `ButtonDropDown` A button that drops down a list of items.
`static QAccessible.Role` | `ButtonDropGrid` A button that drops down a grid.
`static QAccessible.Role` | `ButtonMenu` A button that drops down a menu.
`static QAccessible.Role` | `Canvas` An object that displays graphics that the user can interact with.
`static QAccessible.Role` | `Caret` An object that represents the system caret (text cursor).
`static QAccessible.Role` | `Cell` A cell in a table.
`static QAccessible.Role` | `Chart` An object that displays a graphical representation of data.
`static QAccessible.Role` | `CheckBox` An object that represents an option that can be checked or unchecked.
`static QAccessible.Role` | `Client` The client area in a window.
`static QAccessible.Role` | `Clock` A clock displaying time.
`static QAccessible.Role` | `Column`
`static QAccessible.Role` | `ColumnHeader` A column of cells, usually within a table.
`static QAccessible.Role` | `ComboBox` A list of choices that the user can select from.
`static QAccessible.Role` | `Cursor` An object that represents the mouse cursor.
`static QAccessible.Role` | `Dial`
`static QAccessible.Role` | `Dialog` An object that represents a dial or knob.
`static QAccessible.Role` | `Document` A document window, usually in an MDI environment.
`static QAccessible.Role` | `EditableText` Editable text
`static QAccessible.Role` | `Equation` An object that represents a mathematical equation.
`static QAccessible.Role` | `Graphic` A graphic or picture, e.g.
`static QAccessible.Role` | `Grip` A grip that the user can drag to change the size of widgets.
`static QAccessible.Role` | `Grouping` An object that represents a logical grouping of other objects.
`static QAccessible.Role` | `HelpBalloon` An object that displays help in a separate, short lived window.
`static QAccessible.Role` | `HotkeyField` A hotkey field that allows the user to enter a key sequence.
`static QAccessible.Role` | `Indicator` An indicator that represents a current value or item.
`static QAccessible.Role` | `LayeredPane` An object that can contain layered children, e.g.
`static QAccessible.Role` | `Link` A link to something else.
`static QAccessible.Role` | `List` A list of items, from which the user can select one or more items.
`static QAccessible.Role` | `ListItem` An item in a list of items.
`static QAccessible.Role` | `MenuBar` A menu bar from which menus are opened by the user.
`static QAccessible.Role` | `MenuItem` An item in a menu or menu bar.
`static QAccessible.Role` | `NoRole` The object has no role.
`static QAccessible.Role` | `PageTab` A page tab that the user can select to switch to a different page in a dialog.
`static QAccessible.Role` | `PageTabList` A list of page tabs.
`static QAccessible.Role` | `Pane` A generic container.
`static QAccessible.Role` | `PopupMenu` A menu which lists options that the user can select to perform an action.
`static QAccessible.Role` | `ProgressBar` The object displays the progress of an operation in progress.
`static QAccessible.Role` | `PropertyPage` A property page where the user can change options and settings.
`static QAccessible.Role` | `PushButton` A button.
`static QAccessible.Role` | `RadioButton` An object that represents an option that is mutually exclusive with other options.
`static QAccessible.Role` | `Row`
`static QAccessible.Role` | `RowHeader` A row of cells, usually within a table.
`static QAccessible.Role` | `ScrollBar` A scroll bar, which allows the user to scroll the visible area.
`static QAccessible.Role` | `Separator` A separator that divides space into logical areas.
`static QAccessible.Role` | `Slider` A slider that allows the user to select a value within a given range.
`static QAccessible.Role` | `Sound` An object that represents a sound.
`static QAccessible.Role` | `SpinBox` A spin box widget that allows the user to enter a value within a given range.
`static QAccessible.Role` | `Splitter` A splitter distributing available space between its child widgets.
`static QAccessible.Role` | `StaticText` Static text, such as labels for other widgets.
`static QAccessible.Role` | `StatusBar` A status bar.
`static QAccessible.Role` | `Table` A table representing data in a grid of rows and columns.
`static QAccessible.Role` | `TitleBar` The title bar caption of a window.
`static QAccessible.Role` | `ToolBar` A tool bar, which groups widgets that the user accesses frequently.
`static QAccessible.Role` | `ToolTip` A tool tip which provides information about other objects.
`static QAccessible.Role` | `Tree` A list of items in a tree structure.
`static QAccessible.Role` | `TreeItem` An item in a tree structure.
`static QAccessible.Role` | `UserRole` The first value to be used for user defined roles.
`static QAccessible.Role` | `Whitespace` Blank space between other objects.
`static QAccessible.Role` | `Window` A top level window.

Method Summary
`static QAccessible.Role` | `resolve(int value)` Returns the QAccessible$Role constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Role` | `valueOf(java.lang.String name)`
`static QAccessible.Role[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoRole

    public static final QAccessible.Role NoRole

  The object has no role. This usually indicates an invalid object.

### TitleBar

    public static final QAccessible.Role TitleBar

  The title bar caption of a window.

### MenuBar

    public static final QAccessible.Role MenuBar

  A menu bar from which menus are opened by the user.

### ScrollBar

    public static final QAccessible.Role ScrollBar

  A scroll bar, which allows the user to scroll the visible area.

### Grip

    public static final QAccessible.Role Grip

  A grip that the user can drag to change the size of widgets.

### Sound

    public static final QAccessible.Role Sound

  An object that represents a sound.

### Cursor

    public static final QAccessible.Role Cursor

  An object that represents the mouse cursor.

### Caret

    public static final QAccessible.Role Caret

  An object that represents the system caret (text cursor).

### AlertMessage

    public static final QAccessible.Role AlertMessage

  An object that is used to alert the user.

### Window

    public static final QAccessible.Role Window

  A top level window.

### Client

    public static final QAccessible.Role Client

  The client area in a window.

### PopupMenu

    public static final QAccessible.Role PopupMenu

  A menu which lists options that the user can select to perform an action.

### MenuItem

    public static final QAccessible.Role MenuItem

  An item in a menu or menu bar.

### ToolTip

    public static final QAccessible.Role ToolTip

  A tool tip which provides information about other objects.

### Application

    public static final QAccessible.Role Application

  The application's main window.

### Document

    public static final QAccessible.Role Document

  A document window, usually in an MDI environment.

### Pane

    public static final QAccessible.Role Pane

  A generic container.

### Chart

    public static final QAccessible.Role Chart

  An object that displays a graphical representation of data.

### Dialog

    public static final QAccessible.Role Dialog

  An object that represents a dial or knob.

### Border

    public static final QAccessible.Role Border

  An object that represents a border.

### Grouping

    public static final QAccessible.Role Grouping

  An object that represents a logical grouping of other objects.

### Separator

    public static final QAccessible.Role Separator

  A separator that divides space into logical areas.

### ToolBar

    public static final QAccessible.Role ToolBar

  A tool bar, which groups widgets that the user accesses frequently.

### StatusBar

    public static final QAccessible.Role StatusBar

  A status bar.

### Table

    public static final QAccessible.Role Table

  A table representing data in a grid of rows and columns.

### ColumnHeader

    public static final QAccessible.Role ColumnHeader

  A column of cells, usually within a table.

### RowHeader

    public static final QAccessible.Role RowHeader

  A row of cells, usually within a table.

### Column

    public static final QAccessible.Role Column

### Row

    public static final QAccessible.Role Row

### Cell

    public static final QAccessible.Role Cell

  A cell in a table.

### Link

    public static final QAccessible.Role Link

  A link to something else.

### HelpBalloon

    public static final QAccessible.Role HelpBalloon

  An object that displays help in a separate, short lived window.

### Assistant

    public static final QAccessible.Role Assistant

  An object that provids interactive help.

### List

    public static final QAccessible.Role List

  A list of items, from which the user can select one or more items.

### ListItem

    public static final QAccessible.Role ListItem

  An item in a list of items.

### Tree

    public static final QAccessible.Role Tree

  A list of items in a tree structure.

### TreeItem

    public static final QAccessible.Role TreeItem

  An item in a tree structure.

### PageTab

    public static final QAccessible.Role PageTab

  A page tab that the user can select to switch to a different page in a dialog.

### PropertyPage

    public static final QAccessible.Role PropertyPage

  A property page where the user can change options and settings.

### Indicator

    public static final QAccessible.Role Indicator

  An indicator that represents a current value or item.

### Graphic

    public static final QAccessible.Role Graphic

  A graphic or picture, e.g. an icon.

### StaticText

    public static final QAccessible.Role StaticText

  Static text, such as labels for other widgets.

### EditableText

    public static final QAccessible.Role EditableText

  Editable text

### PushButton

    public static final QAccessible.Role PushButton

  A button.

### CheckBox

    public static final QAccessible.Role CheckBox

  An object that represents an option that can be checked or unchecked. Some options provide a "mixed" state, e.g. neither checked nor unchecked.

### RadioButton

    public static final QAccessible.Role RadioButton

  An object that represents an option that is mutually exclusive with other options.

### ComboBox

    public static final QAccessible.Role ComboBox

  A list of choices that the user can select from.

### ProgressBar

    public static final QAccessible.Role ProgressBar

  The object displays the progress of an operation in progress.

### Dial

    public static final QAccessible.Role Dial

### HotkeyField

    public static final QAccessible.Role HotkeyField

  A hotkey field that allows the user to enter a key sequence.

### Slider

    public static final QAccessible.Role Slider

  A slider that allows the user to select a value within a given range.

### SpinBox

    public static final QAccessible.Role SpinBox

  A spin box widget that allows the user to enter a value within a given range.

### Canvas

    public static final QAccessible.Role Canvas

  An object that displays graphics that the user can interact with.

### Animation

    public static final QAccessible.Role Animation

  An object that displays an animation.

### Equation

    public static final QAccessible.Role Equation

  An object that represents a mathematical equation.

### ButtonDropDown

    public static final QAccessible.Role ButtonDropDown

  A button that drops down a list of items.

### ButtonMenu

    public static final QAccessible.Role ButtonMenu

  A button that drops down a menu.

### ButtonDropGrid

    public static final QAccessible.Role ButtonDropGrid

  A button that drops down a grid.

### Whitespace

    public static final QAccessible.Role Whitespace

  Blank space between other objects.

### PageTabList

    public static final QAccessible.Role PageTabList

  A list of page tabs.

### Clock

    public static final QAccessible.Role Clock

  A clock displaying time.

### Splitter

    public static final QAccessible.Role Splitter

  A splitter distributing available space between its child widgets.

### LayeredPane

    public static final QAccessible.Role LayeredPane

  An object that can contain layered children, e.g. in a stack.

### UserRole

    public static final QAccessible.Role UserRole

  The first value to be used for user defined roles.

Method Detail

### values

    public static QAccessible.Role[] values()

### valueOf

    public static QAccessible.Role valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Role resolve(int value)

  Returns the QAccessible$Role constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD